EN_IDEA_CFB(3)

FUNCTION
en_idea_cfb - Encrypt bytes using the IDEA cipher.

SYNOPSIS
#include <karma_en.h>

void en_idea_cfb

(idea_status status, char *buffer, unsigned int length)

DESCRIPTION
This routine will encrypt (or decrypt) a sequence of bytes using the IDEA cipher in Cipher Feed Back mode.

status
    The IDEA cipher status.

buffer
    The data to encrypt. This is modified.

length
    The number of bytes to encrypt (or decrypt).

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/